Subject: Re: bug#10669: 24.0.93; Emacs daemon high CPU load

From: Michael Welsh Duggan <[email-masked]>
Date: Wed, 01 Feb 2012 20:28:10 -0500

Jan Djärv <[email-masked]> writes:

> 31 jan 2012 kl. 01:44 skrev Glenn Morris <[email-masked]>:
>
>> Michael Welsh Duggan wrote:
>> 
>>> This bug may be related to the archived bug #5535.
>>> <URL:http://debbugs.gnu.org/5535>
>> 
>> Sounds similar. It's not archived or resolved BTW.
>> The usual answer to such issues has been "use a lucid toolkit build
>> rather than a Gtk one". But, you are already doing that, so it can't be
>> the infamous Gtk+ bug that is responsible in this case.
>
> It can still be related. If Gconf or Gsettings is used, glib is
> managing the input loop, as in the Gtk case.

I just reconfigured like below.  The problem still exists in this
configuration.  The loop it ends up in endlessly writes "Back to top
level." into the .xsession-errors.

Anything I can do to help debug this?  I am a moderately experienced gdb
user.

In GNU Emacs 24.0.93.3 (i686-pc-linux-gnu, X toolkit)
 of 2012-02-01 on maru
Windowing system distributor `The X.Org Foundation', version 11.0.11103901
Configured using:
 `configure '--without-gconf' '--without-gsettings'
 '--without-toolkit-scroll-bars' '--with-x-toolkit=lucid''

-- 
Michael Welsh Duggan
([email-masked])